function onTalk()
	if not (getFlag("catbirdtalked",true)) then
		local catbird = 0
		disableMovement ()
		disableRetry()
		setFlag("catbirdtalking",true)
		say("CC_catbird_catbirdA")
		say("CC_catbird_catbirdB")
		catbird = choice("CC_catbird_catbirdC", "CC_catbird_catbirdD", "CC_catbird_catbirdE")
		if (catbird == 1) then
			setFlag("thinking",true)
			wait(0.6)
			setFlag("thinking",false)
			say ("CC_catbird_catbirdF")
		elseif (catbird == 2) then
			setFlag("happy",true)
			wait(0.6)
			setFlag("happy",false)
			say ("CC_catbird_catbirdG")
			setFlag("catbirdtalked",true)
		elseif (catbird == 3) then
			setFlag("surprised",true)
			wait(0.6)
			setFlag("surprised",false)
			say ("CC_catbird_catbirdH")
			setFlag("catbirdtalked",true)
		end
		enableMovement ()
		setFlag("catbirdtalking",false)
		enableRetry()
	else
	say("CC_catbird_catbirdI")
	end
end